# GstVulkanTrash

GstVulkanTrash is a helper object for freeing resources after a GstVulkanFence is signalled.

## GstVulkanTrash

### Members

`parent` (GstMiniObject) –
No description available
`cache` (GstVulkanTrashList *) –
No description available
`fence` (GstVulkanFence *) –
No description available
`notify` (GstVulkanTrashNotify) –
No description available
`user_data` (gpointer) –
No description available

Since : 1.18

## GstVulkan.VulkanTrash

### Members

`parent` (Gst.MiniObject) –
No description available
`cache` (GstVulkan.VulkanTrashList) –
No description available
`fence` (GstVulkan.VulkanFence) –
No description available
`notify` (GstVulkan.VulkanTrashNotify) –
No description available
`user_data` (Object) –
No description available

Since : 1.18

## GstVulkan.VulkanTrash

### Members

`parent` (Gst.MiniObject) –
No description available
`cache` (GstVulkan.VulkanTrashList) –
No description available
`fence` (GstVulkan.VulkanFence) –
No description available
`notify` (GstVulkan.VulkanTrashNotify) –
No description available
`user_data` (object) –
No description available

Since : 1.18

### Constructors

#### gst_vulkan_trash_new

    GstVulkanTrash *
    gst_vulkan_trash_new (GstVulkanFence * fence,
                          GstVulkanTrashNotify notify,
                          gpointer user_data)

Create and return a new GstVulkanTrash object that will stores a callback to call when fence is signalled.

Parameters:

`fence` –

a GstVulkanFence

`notify` ( [scope async]) –

a GstVulkanTrashNotify

`user_data` ( [closure]) –

user data for notify

Returns ( [transfer: full]) –

a new GstVulkanTrash

Since : 1.18

#### GstVulkan.VulkanTrash.prototype.new

    function GstVulkan.VulkanTrash.prototype.new(fence: GstVulkan.VulkanFence, notify: GstVulkan.VulkanTrashNotify, user_data: Object): {
        // javascript wrapper for 'gst_vulkan_trash_new'
    }

Create and return a new GstVulkan.VulkanTrash object that will stores a callback to call when fence is signalled.

Parameters:

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence

`notify` (GstVulkan.VulkanTrashNotify) –

a GstVulkan.VulkanTrashNotify

`user_data` (Object) –

user data for notify

Returns (GstVulkan.VulkanTrash) –

a new GstVulkan.VulkanTrash

Since : 1.18

#### GstVulkan.VulkanTrash.new

    def GstVulkan.VulkanTrash.new (fence, notify, *user_data):
        #python wrapper for 'gst_vulkan_trash_new'

Create and return a new GstVulkan.VulkanTrash object that will stores a callback to call when fence is signalled.

Parameters:

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence

`notify` (GstVulkan.VulkanTrashNotify) –

a GstVulkan.VulkanTrashNotify

`user_data` (variadic) –

user data for notify

Returns (GstVulkan.VulkanTrash) –

a new GstVulkan.VulkanTrash

Since : 1.18

#### gst_vulkan_trash_new_free_semaphore

    GstVulkanTrash *
    gst_vulkan_trash_new_free_semaphore (GstVulkanFence * fence,
                                         VkSemaphore semaphore)

Parameters:

`fence` –

the GstVulkanFence

`semaphore` –

a `VkSemaphore` to free

Returns ( [transfer: full]) –

a new GstVulkanTrash object that will the free semaphore when fence is signalled

Since : 1.18

#### GstVulkan.VulkanTrash.prototype.new_free_semaphore

    function GstVulkan.VulkanTrash.prototype.new_free_semaphore(fence: GstVulkan.VulkanFence, semaphore: Vulkan.Semaphore): {
        // javascript wrapper for 'gst_vulkan_trash_new_free_semaphore'
    }

Parameters:

`fence` (GstVulkan.VulkanFence) –

the GstVulkan.VulkanFence

`semaphore` (Vulkan.Semaphore) –

a `VkSemaphore` to free

Returns (GstVulkan.VulkanTrash) –

a new GstVulkan.VulkanTrash object that will the free semaphore when fence is signalled

Since : 1.18

#### GstVulkan.VulkanTrash.new_free_semaphore

    def GstVulkan.VulkanTrash.new_free_semaphore (fence, semaphore):
        #python wrapper for 'gst_vulkan_trash_new_free_semaphore'

Parameters:

`fence` (GstVulkan.VulkanFence) –

the GstVulkan.VulkanFence

`semaphore` (Vulkan.Semaphore) –

a `VkSemaphore` to free

Returns (GstVulkan.VulkanTrash) –

a new GstVulkan.VulkanTrash object that will the free semaphore when fence is signalled

Since : 1.18

### Methods

#### gst_vulkan_trash_ref

    GstVulkanTrash *
    gst_vulkan_trash_ref (GstVulkanTrash * trash)

Increases the refcount of the given trash object by one.

Parameters:

`trash` –

a GstVulkanTrash.

Returns ( [transfer: full]) –

trash

Since : 1.18

### Functions

#### gst_vulkan_trash_mini_object_unref

    gst_vulkan_trash_mini_object_unref (GstVulkanDevice * device,
                                        gpointer user_data)

A GstVulkanTrashNotify implementation for unreffing a GstMiniObject when the associated GstVulkanFence is signalled

Parameters:

`device` –

the GstVulkanDevice

`user_data` –

the GstMiniObject

Since : 1.18

#### GstVulkan.prototype.vulkan_trash_mini_object_unref

    function GstVulkan.prototype.vulkan_trash_mini_object_unref(device: GstVulkan.VulkanDevice, user_data: Object): {
        // javascript wrapper for 'gst_vulkan_trash_mini_object_unref'
    }

A GstVulkan.VulkanTrashNotify implementation for unreffing a Gst.MiniObject when the associated GstVulkan.VulkanFence is signalled

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`user_data` (Object) –

the Gst.MiniObject

Since : 1.18

#### GstVulkan.vulkan_trash_mini_object_unref

    def GstVulkan.vulkan_trash_mini_object_unref (device, user_data):
        #python wrapper for 'gst_vulkan_trash_mini_object_unref'

A GstVulkan.VulkanTrashNotify implementation for unreffing a Gst.MiniObject when the associated GstVulkan.VulkanFence is signalled

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`user_data` (object) –

the Gst.MiniObject

Since : 1.18

#### gst_vulkan_trash_object_unref

    gst_vulkan_trash_object_unref (GstVulkanDevice * device,
                                   gpointer user_data)

A GstVulkanTrashNotify implementation for unreffing a GstObject when the associated GstVulkanFence is signalled

Parameters:

`device` –

the GstVulkanDevice

`user_data` –

the GstMiniObject

Since : 1.18

#### GstVulkan.prototype.vulkan_trash_object_unref

    function GstVulkan.prototype.vulkan_trash_object_unref(device: GstVulkan.VulkanDevice, user_data: Object): {
        // javascript wrapper for 'gst_vulkan_trash_object_unref'
    }

A GstVulkan.VulkanTrashNotify implementation for unreffing a Gst.Object when the associated GstVulkan.VulkanFence is signalled

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`user_data` (Object) –

the Gst.MiniObject

Since : 1.18

#### GstVulkan.vulkan_trash_object_unref

    def GstVulkan.vulkan_trash_object_unref (device, user_data):
        #python wrapper for 'gst_vulkan_trash_object_unref'

A GstVulkan.VulkanTrashNotify implementation for unreffing a Gst.Object when the associated GstVulkan.VulkanFence is signalled

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`user_data` (object) –

the Gst.MiniObject

Since : 1.18

## GstVulkanTrashFenceList

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanHandlePool
                    ╰──GstVulkanTrashList
                        ╰──GstVulkanTrashFenceList

Since : 1.18

### Class structure

#### GstVulkanTrashFenceListClass

##### Fields

`parent_class` (GstVulkanTrashListClass) –
No description available

Since : 1.18

### GstVulkan.VulkanTrashFenceListClass

##### Attributes

`parent_class` (GstVulkan.VulkanTrashListClass) –
No description available

Since : 1.18

### GstVulkan.VulkanTrashFenceListClass

##### Attributes

`parent_class` (GstVulkan.VulkanTrashListClass) –
No description available

Since : 1.18

## GstVulkan.VulkanTrashFenceList

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanHandlePool
                    ╰──GstVulkan.VulkanTrashList
                        ╰──GstVulkan.VulkanTrashFenceList

Since : 1.18

## GstVulkan.VulkanTrashFenceList

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanHandlePool
                    ╰──GstVulkan.VulkanTrashList
                        ╰──GstVulkan.VulkanTrashFenceList

Since : 1.18

### Constructors

#### gst_vulkan_trash_fence_list_new

    GstVulkanTrashList *
    gst_vulkan_trash_fence_list_new ()

Returns ( [transfer: full]) –

a new gst_vulkan_trash_fence_list_new

Since : a.18

#### GstVulkan.VulkanTrashFenceList.prototype.new

    function GstVulkan.VulkanTrashFenceList.prototype.new(): {
        // javascript wrapper for 'gst_vulkan_trash_fence_list_new'
    }

Returns (GstVulkan.VulkanTrashList) –

a new GstVulkan.VulkanTrashFenceList.prototype.new

Since : a.18

#### GstVulkan.VulkanTrashFenceList.new

    def GstVulkan.VulkanTrashFenceList.new ():
        #python wrapper for 'gst_vulkan_trash_fence_list_new'

Returns (GstVulkan.VulkanTrashList) –

a new GstVulkan.VulkanTrashFenceList.new

Since : a.18

## GstVulkanTrashList

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanHandlePool
                    ╰──GstVulkanTrashList
                        ╰──GstVulkanTrashFenceList

### Members

`parent` (GstVulkanHandlePool) –

the parent GstVulkanHandle

Since : 1.18

### Class structure

#### GstVulkanTrashListClass

##### Fields

`parent_class` (GstVulkanHandlePoolClass) –

the GstVulkanHandlePoolClass

`add_func` (GstVulkanTrashListAdd) –

the GstVulkanTrashListAdd functions

`gc_func` (GstVulkanTrashListGC) –

the GstVulkanTrashListGC function

`wait_func` (GstVulkanTrashListWait) –

the GstVulkanTrashListWait function

Since : 1.18

### GstVulkan.VulkanTrashListClass

##### Attributes

`parent_class` (GstVulkan.VulkanHandlePoolClass) –

the GstVulkan.VulkanHandlePoolClass

`add_func` (GstVulkan.VulkanTrashListAdd) –

the GstVulkan.VulkanTrashListAdd functions

`gc_func` (GstVulkan.VulkanTrashListGC) –

the GstVulkan.VulkanTrashListGC function

`wait_func` (GstVulkan.VulkanTrashListWait) –

the GstVulkan.VulkanTrashListWait function

Since : 1.18

### GstVulkan.VulkanTrashListClass

##### Attributes

`parent_class` (GstVulkan.VulkanHandlePoolClass) –

the GstVulkan.VulkanHandlePoolClass

`add_func` (GstVulkan.VulkanTrashListAdd) –

the GstVulkan.VulkanTrashListAdd functions

`gc_func` (GstVulkan.VulkanTrashListGC) –

the GstVulkan.VulkanTrashListGC function

`wait_func` (GstVulkan.VulkanTrashListWait) –

the GstVulkan.VulkanTrashListWait function

Since : 1.18

## GstVulkan.VulkanTrashList

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanHandlePool
                    ╰──GstVulkan.VulkanTrashList
                        ╰──GstVulkan.VulkanTrashFenceList

### Members

`parent` (GstVulkan.VulkanHandlePool) –

the parent GstVulkan.VulkanHandle

Since : 1.18

## GstVulkan.VulkanTrashList

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanHandlePool
                    ╰──GstVulkan.VulkanTrashList
                        ╰──GstVulkan.VulkanTrashFenceList

### Members

`parent` (GstVulkan.VulkanHandlePool) –

the parent GstVulkan.VulkanHandle

Since : 1.18

### Methods

#### gst_vulkan_trash_list_acquire

    GstVulkanTrash *
    gst_vulkan_trash_list_acquire (GstVulkanTrashList * trash_list,
                                   GstVulkanFence * fence,
                                   GstVulkanTrashNotify notify,
                                   gpointer user_data)

Parameters:

`trash_list` –

a GstVulkanTrashList

`fence` –

a GstVulkanFence to wait for signalling

`notify` ( [scope async]) –

notify function for when fence is signalled

`user_data` –

user data for notify

Returns ( [transfer: full]) –

a new or reused GstVulkanTrash for the provided parameters.

Since : 1.18

#### GstVulkan.VulkanTrashList.prototype.acquire

    function GstVulkan.VulkanTrashList.prototype.acquire(fence: GstVulkan.VulkanFence, notify: GstVulkan.VulkanTrashNotify, user_data: Object): {
        // javascript wrapper for 'gst_vulkan_trash_list_acquire'
    }

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

a GstVulkan.VulkanTrashList

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence to wait for signalling

`notify` (GstVulkan.VulkanTrashNotify) –

notify function for when fence is signalled

`user_data` (Object) –

user data for notify

Returns (GstVulkan.VulkanTrash) –

a new or reused GstVulkan.VulkanTrash for the provided parameters.

Since : 1.18

#### GstVulkan.VulkanTrashList.acquire

    def GstVulkan.VulkanTrashList.acquire (self, fence, notify, *user_data):
        #python wrapper for 'gst_vulkan_trash_list_acquire'

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

a GstVulkan.VulkanTrashList

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence to wait for signalling

`notify` (GstVulkan.VulkanTrashNotify) –

notify function for when fence is signalled

`user_data` (variadic) –

user data for notify

Returns (GstVulkan.VulkanTrash) –

a new or reused GstVulkan.VulkanTrash for the provided parameters.

Since : 1.18

#### gst_vulkan_trash_list_add

    gboolean
    gst_vulkan_trash_list_add (GstVulkanTrashList * trash_list,
                               GstVulkanTrash * trash)

Parameters:

`trash_list` –

the GstVulkanTrashList

`trash` –

GstVulkanTrash object to add to the list

Returns –

whether trash could be added to trash_list

Since : 1.18

#### GstVulkan.VulkanTrashList.prototype.add

    function GstVulkan.VulkanTrashList.prototype.add(trash: GstVulkan.VulkanTrash): {
        // javascript wrapper for 'gst_vulkan_trash_list_add'
    }

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList

`trash` (GstVulkan.VulkanTrash) –

GstVulkan.VulkanTrash object to add to the list

Returns (Number) –

whether trash could be added to trash_list

Since : 1.18

#### GstVulkan.VulkanTrashList.add

    def GstVulkan.VulkanTrashList.add (self, trash):
        #python wrapper for 'gst_vulkan_trash_list_add'

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList

`trash` (GstVulkan.VulkanTrash) –

GstVulkan.VulkanTrash object to add to the list

Returns (bool) –

whether trash could be added to trash_list

Since : 1.18

#### gst_vulkan_trash_list_gc

    gst_vulkan_trash_list_gc (GstVulkanTrashList * trash_list)

Remove any stored GstVulkanTrash objects that have had their associated GstVulkanFence signalled.

Parameters:

`trash_list` –

the GstVulkanTrashList

Since : 1.18

#### GstVulkan.VulkanTrashList.prototype.gc

    function GstVulkan.VulkanTrashList.prototype.gc(): {
        // javascript wrapper for 'gst_vulkan_trash_list_gc'
    }

Remove any stored GstVulkan.VulkanTrash objects that have had their associated GstVulkan.VulkanFence signalled.

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList

Since : 1.18

#### GstVulkan.VulkanTrashList.gc

    def GstVulkan.VulkanTrashList.gc (self):
        #python wrapper for 'gst_vulkan_trash_list_gc'

Remove any stored GstVulkan.VulkanTrash objects that have had their associated GstVulkan.VulkanFence signalled.

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList

Since : 1.18

#### gst_vulkan_trash_list_wait

    gboolean
    gst_vulkan_trash_list_wait (GstVulkanTrashList * trash_list,
                                guint64 timeout)

Parameters:

`trash_list` –

the GstVulkanTrashList

`timeout` –

timeout in ns to wait, -1 for indefinite

Returns –

whether the wait succeeded in waiting for all objects to be freed.

Since : 1.18

#### GstVulkan.VulkanTrashList.prototype.wait

    function GstVulkan.VulkanTrashList.prototype.wait(timeout: Number): {
        // javascript wrapper for 'gst_vulkan_trash_list_wait'
    }

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList

`timeout` (Number) –

timeout in ns to wait, -1 for indefinite

Returns (Number) –

whether the wait succeeded in waiting for all objects to be freed.

Since : 1.18

#### GstVulkan.VulkanTrashList.wait

    def GstVulkan.VulkanTrashList.wait (self, timeout):
        #python wrapper for 'gst_vulkan_trash_list_wait'

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList

`timeout` (int) –

timeout in ns to wait, -1 for indefinite

Returns (bool) –

whether the wait succeeded in waiting for all objects to be freed.

Since : 1.18

### Virtual Methods

#### add_func

    gboolean
    add_func (GstVulkanTrashList * trash_list,
              GstVulkanTrash * trash)

the GstVulkanTrashListAdd functions

Parameters:

`trash_list` –
No description available
`trash` –
No description available
Returns –
No description available

#### vfunc_add_func

    function vfunc_add_func(trash_list: GstVulkan.VulkanTrashList, trash: GstVulkan.VulkanTrash): {
        // javascript implementation of the 'add_func' virtual method
    }

the GstVulkan.VulkanTrashListAdd functions

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –
No description available
`trash` (GstVulkan.VulkanTrash) –
No description available
Returns (Number) –
No description available

#### do_add_func

    def do_add_func (trash_list, trash):
        #python implementation of the 'add_func' virtual method

the GstVulkan.VulkanTrashListAdd functions

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –
No description available
`trash` (GstVulkan.VulkanTrash) –
No description available
Returns (bool) –
No description available

#### gc_func

    gc_func (GstVulkanTrashList * trash_list)

the GstVulkanTrashListGC function

Parameters:

`trash_list` –
No description available

#### vfunc_gc_func

    function vfunc_gc_func(trash_list: GstVulkan.VulkanTrashList): {
        // javascript implementation of the 'gc_func' virtual method
    }

the GstVulkan.VulkanTrashListGC function

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –
No description available

#### do_gc_func

    def do_gc_func (trash_list):
        #python implementation of the 'gc_func' virtual method

the GstVulkan.VulkanTrashListGC function

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –
No description available

#### wait_func

    gboolean
    wait_func (GstVulkanTrashList * trash_list,
               guint64 timeout)

the GstVulkanTrashListWait function

Parameters:

`trash_list` –
No description available
`timeout` –
No description available
Returns –
No description available

#### vfunc_wait_func

    function vfunc_wait_func(trash_list: GstVulkan.VulkanTrashList, timeout: Number): {
        // javascript implementation of the 'wait_func' virtual method
    }

the GstVulkan.VulkanTrashListWait function

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –
No description available
`timeout` (Number) –
No description available
Returns (Number) –
No description available

#### do_wait_func

    def do_wait_func (trash_list, timeout):
        #python implementation of the 'wait_func' virtual method

the GstVulkan.VulkanTrashListWait function

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –
No description available
`timeout` (int) –
No description available
Returns (bool) –
No description available

## Constants

### GST_TYPE_VULKAN_TRASH

    #define GST_TYPE_VULKAN_TRASH gst_vulkan_trash_get_type()

Since : 1.18

### GST_TYPE_VULKAN_TRASH_LIST

    #define GST_TYPE_VULKAN_TRASH_LIST gst_vulkan_trash_list_get_type()

Since : 1.18

## Callbacks

### GstVulkanTrashListAdd

    gboolean
    (*GstVulkanTrashListAdd) (GstVulkanTrashList * trash_list,
                              GstVulkanTrash * trash)

Add trash to trash_list for tracking

Parameters:

`trash_list` –

the GstVulkanTrashList instance

`trash` –

the GstVulkanTrash to add to trash_list

Returns –

whether trash could be added to trash_list

Since : 1.18

### GstVulkan.VulkanTrashListAdd

    function GstVulkan.VulkanTrashListAdd(trash_list: GstVulkan.VulkanTrashList, trash: GstVulkan.VulkanTrash): {
        // javascript wrapper for 'GstVulkanTrashListAdd'
    }

Add trash to trash_list for tracking

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList instance

`trash` (GstVulkan.VulkanTrash) –

the GstVulkan.VulkanTrash to add to trash_list

Returns (Number) –

whether trash could be added to trash_list

Since : 1.18

### GstVulkan.VulkanTrashListAdd

    def GstVulkan.VulkanTrashListAdd (trash_list, trash):
        #python wrapper for 'GstVulkanTrashListAdd'

Add trash to trash_list for tracking

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList instance

`trash` (GstVulkan.VulkanTrash) –

the GstVulkan.VulkanTrash to add to trash_list

Returns (bool) –

whether trash could be added to trash_list

Since : 1.18

### GstVulkanTrashListGC

    (*GstVulkanTrashListGC) (GstVulkanTrashList * trash_list)

Remove any memory allocated by any signalled objects.

Parameters:

`trash_list` –

the GstVulkanTrashList instance

Since : 1.18

### GstVulkan.VulkanTrashListGC

    function GstVulkan.VulkanTrashListGC(trash_list: GstVulkan.VulkanTrashList): {
        // javascript wrapper for 'GstVulkanTrashListGC'
    }

Remove any memory allocated by any signalled objects.

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList instance

Since : 1.18

### GstVulkan.VulkanTrashListGC

    def GstVulkan.VulkanTrashListGC (trash_list):
        #python wrapper for 'GstVulkanTrashListGC'

Remove any memory allocated by any signalled objects.

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList instance

Since : 1.18

### GstVulkanTrashListWait

    gboolean
    (*GstVulkanTrashListWait) (GstVulkanTrashList * trash_list,
                               guint64 timeout)

Wait for a most timeout to pass for all GstVulkanTrash objects to be signalled and freed.

Parameters:

`trash_list` –

the GstVulkanTrashList instance

`timeout` –

the timeout in ns to wait

Returns –

whether all objects were signalled and freed within the timeout

Since : 1.18

### GstVulkan.VulkanTrashListWait

    function GstVulkan.VulkanTrashListWait(trash_list: GstVulkan.VulkanTrashList, timeout: Number): {
        // javascript wrapper for 'GstVulkanTrashListWait'
    }

Wait for a most timeout to pass for all GstVulkan.VulkanTrash objects to be signalled and freed.

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList instance

`timeout` (Number) –

the timeout in ns to wait

Returns (Number) –

whether all objects were signalled and freed within the timeout

Since : 1.18

### GstVulkan.VulkanTrashListWait

    def GstVulkan.VulkanTrashListWait (trash_list, timeout):
        #python wrapper for 'GstVulkanTrashListWait'

Wait for a most timeout to pass for all GstVulkan.VulkanTrash objects to be signalled and freed.

Parameters:

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList instance

`timeout` (int) –

the timeout in ns to wait

Returns (bool) –

whether all objects were signalled and freed within the timeout

Since : 1.18

### GstVulkanTrashNotify

    (*GstVulkanTrashNotify) (GstVulkanDevice * device,
                             gpointer user_data)

Parameters:

`device` –

the GstVulkanDevice

`user_data` –

user data

Since : 1.18

### GstVulkan.VulkanTrashNotify

    function GstVulkan.VulkanTrashNotify(device: GstVulkan.VulkanDevice, user_data: Object): {
        // javascript wrapper for 'GstVulkanTrashNotify'
    }

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`user_data` (Object) –

user data

Since : 1.18

### GstVulkan.VulkanTrashNotify

    def GstVulkan.VulkanTrashNotify (device, *user_data):
        #python wrapper for 'GstVulkanTrashNotify'

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`user_data` (variadic) –

user data

Since : 1.18

The results of the search are